org.opencv.dnn

## Class Layer

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.dnn.Layer

-     public class Layer
      extends Algorithm

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Layer(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Layer` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`
    `java.util.List<Mat>` | `finalize(java.util.List<Mat> inputs)`
    `void` | `finalize(java.util.List<Mat> inputs, java.util.List<Mat> outputs)`
    `java.util.List<Mat>` | `get_blobs()`
    `java.lang.String` | `get_name()`
    `int` | `get_preferableTarget()`
    `java.lang.String` | `get_type()`
    `void` | `run(java.util.List<Mat> inputs, java.util.List<Mat> outputs, java.util.List<Mat> internals)`
    `void` | `set_blobs(java.util.List<Mat> blobs)`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Layer

          protected Layer(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static Layer __fromPtr__(long addr)

    - #### finalize

          public java.util.List<Mat> finalize(java.util.List<Mat> inputs)

    - #### finalize

          public void finalize(java.util.List<Mat> inputs,
                               java.util.List<Mat> outputs)

    - #### run

          public void run(java.util.List<Mat> inputs,
                          java.util.List<Mat> outputs,
                          java.util.List<Mat> internals)

    - #### get_blobs

          public java.util.List<Mat> get_blobs()

    - #### set_blobs

          public void set_blobs(java.util.List<Mat> blobs)

    - #### get_name

          public java.lang.String get_name()

    - #### get_type

          public java.lang.String get_type()

    - #### get_preferableTarget

          public int get_preferableTarget()

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`

Generated on Fri Feb 23 2018 13:10:16 UTC / OpenCV 3.4.1